Brand
Get Instagram and YouTube brand report
Gets a detailed report about a brand that sponsors creators on YouTube or Instagram.
GET
/
brandReportV2
cURL
curl --request GET \
--url 'https://dev.creatordb.app/v2/brandReportV2?brandId=acer.com' \
--header 'Accept: application/json' \
--header 'apiId: LE6DPZQkR3TQShxofXoD2j8qCBu1-f0jti665m1t50dwDD12W'const options = {method: 'GET', headers: {apiId: '<apiid>'}};
fetch('https://dev.creatordb.app/v2/brandReportV2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://dev.creatordb.app/v2/brandReportV2"
headers = {"apiId": "<apiid>"}
response = requests.get(url, headers=headers)
print(response.text)
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dev.creatordb.app/v2/brandReportV2"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiId", "<apiid>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://dev.creatordb.app/v2/brandReportV2")
.header("apiId", "<apiid>")
.asString();{
"data": {
"ytDgMainCountry": "TWN",
"ytDgMainCountryRatio": 0.16812166666666675,
"ytDgCountryBreakdown": [
{
"country": "TWN",
"value": 0.16812166666666675
},
{
"country": "USA",
"value": 0.10227499999999999
},
{
"country": "IDN",
"value": 0.07609583333333331
}
],
"ytDgGenderMaleRatio": 0.8128875,
"ytDgGenderFemaleRatio": 0.18695625,
"ytDgAvgAge": 33.87639648437501,
"ytDgAgeBreakdown": [
0.03404609375,
0.2632984375,
0.3055140625
],
"brandId": "acer.com",
"domain": [
"acer.co",
"store.acer.com",
"acer.link"
],
"companySize": "501-1,000",
"medianCompanySize": 750,
"brandName": "Acer",
"description": "Acer is a Taiwanese multinational hardware and electronics corporation.",
"logo": "https://i.imgur.com/bazrFjP.png",
"keyPeople": [
"CarolynYeh",
"GeorgeHuang",
"StanShih"
],
"industries": [
"Computer",
"Consumer Electronics",
"Hardware"
],
"city": "Taipei",
"country": "TWN",
"region": "Eastern Asia",
"website": "http://www.acer.com",
"socialMedia": [
"https://www.facebook.com/Acer",
"https://www.linkedin.com/company/acer",
"https://twitter.com/acer"
],
"competitors": [
"Apple",
"HP",
"ASUS"
],
"foundingDate": 189302400000,
"brandIgIds": [
"acer"
],
"ytChannels": 135,
"ytVideos": 347,
"ytVideos30Days": 28,
"ytAllViews1Year": 14425961,
"ytAllViews30Days": 28,
"ytCountries": [
{
"country": "TWN",
"count": 24
},
{
"country": "VNM",
"count": 14
},
{
"country": "IDN",
"count": 12
}
],
"ytLanguages": [
{
"lang": "eng",
"count": 48
},
{
"lang": "zht",
"count": 26
},
{
"lang": "tha",
"count": 13
}
],
"ytMainCountry": "TWN",
"ytMainCountryRatio": 0.19047619047619047,
"ytMainLanguage": "eng",
"ytMainLanguageRatio": 0.35555555555555557,
"ytVideosViews": 19300283,
"ytVideosLikes": 400701,
"ytVideosComments": 32434,
"ytVideosAvgViews": 55620,
"ytVideosAvgLikes": 1155,
"ytVideosAvgComments": 93,
"ytVideosAvgEngagement": 0.03172689181876585,
"ytVideosViewsGrowth": 0.09911916287300525,
"ytVideosLikesGrowth": 0.08187333446731304,
"ytVideosCommentsGrowth": 0.08384294068504594,
"ytVideosAvgViewsGrowth": -0.018077819363039333,
"ytVideosAvgLikesGrowth": -0.03347280334728033,
"ytVideosAvgCommentsGrowth": -0.041237113402061855,
"ytVideosAvgEngagementGrowth": -0.04952072861651131,
"igAccounts": 0,
"igAccountAvgFollowers": 0,
"igAccountAvgFollowing": 0,
"igAccountAvgPosts": 0,
"igPosts": 0,
"igPosts30Days": 0,
"igPostAvgLikes": 0,
"igPostAvgComments": 0,
"igPostAvgEngagement": 0,
"igPostAvgPlays": 0,
"igPostsGrowth": 0,
"igPostAvgLikesGrowth": 0,
"igPostAvgCommentsGrowth": 0,
"igPostAvgEngagementGrowth": 0,
"igPostAvgPlaysGrowth": 0,
"igCountries": [],
"igLanguages": []
},
"quotaUsed": 50,
"quotaUsedTotal": 6074,
"remainingPlanCredit": 993926,
"remainingPrepurchasedCredit": 0,
"timestamp": 1755503514724,
"error": "",
"success": true
}{
"data": null,
"quotaUsed": 0,
"quotaUsedTotal": 0,
"remainingPlanCredit": 0,
"remainingPrepurchasedCredit": 0,
"timestamp": 1755503513984,
"error": "APIKeyOnlyForTesting",
"success": false
}Headers
Example:
"LE6DPZQkR3TQShxofXoD2j8qCBu1-f0jti665m1t50dwDD12W"
Query Parameters
Example:
"acer.com"
Response
OK
The response data from calling the getBrandReportV2 endpoint.
Show child attributes
Show child attributes
API credits that were used to make this call.
Total API credits used since the last billing cycle.
The number of remaining free API credits that come with your subscription plan. These API credits are renewed every billing cycle.
The number of remaining extra purchased API credits. These API credits do not expire until used.
Unix timestamp of the call request that the server received.
Errors that occurred during the API call.
It is TRUE when the call is successful.
Last modified on February 25, 2026
⌘I
cURL
